#
# Show or hide XFCE application/popup menu when Pandora key is pressed.
#
#  (drop-in replacement for "/usr/pandora/scripts/op_xfcemenu.sh" which
#   does not work when the panel auto-hide feature is enabled)
#

function loc_menu_show {
  xfce4-popup-menu
}

function loc_menu_hide {
  WINID=`xwininfo -name xfce4-menu-plugin|grep 'Window id:'|awk '{print $4}'`
  xdotool keydown --window $WINID Escape
}

MENU_SY=`xwininfo -name xfce4-menu-plugin|grep Height|awk '{print $2}'`

if [ 1 -eq $MENU_SY ]; then
  # panel is in auto-hide mode and the menu is currently invisible
  loc_menu_show
else
  # hack to determine whether the menu is visible, regardless of the panel auto-hide mode
  NUM_MENU_WINDOWS=`xwininfo -tree -root | grep 'xfce4-menu-plugin' | wc -l`
  echo $NUM_MENU_WINDOWS
  if [ $NUM_MENU_WINDOWS -gt 3 ]; then
    loc_menu_hide
  else
    loc_menu_show
  fi
fi
